B10-MSGQ(8)

NAME
b10-msgq - message routing daemon for the Command Channel

SYNOPSIS

b10-msgq [-s file] [-v] [--socket-file file] [--verbose]

DESCRIPTION

The b10-msgq daemon provides message routing for the Command Channel.

The Command Channel is a message bus and subscription manager. Programs may subscribe to certain groups to receive messages for that group. Every new connection to b10-msgq is assigned a unique identifier -- this is the local name. The commands it handles are:

    • getlname — receive local name.

    • send — send a message to defined subscribers.

    • subscribe — add a subscription. This means it is a listener for messages for a specific group.

    • unsubscribe — remove a subscription.

It listens on 127.0.0.1.

The b10-msgq daemon may be cleanly stopped by sending the SIGTERM signal to the process. This shutdown does not notify the subscribers.

OPTIONS

The arguments are as follows:

-s file, --socket-file file
    The UNIX domain socket file this daemon will use. The default is /usr/local/var/bind10-devel/msg_socket.

-v, --verbose
    Enabled verbose mode. This enables diagnostic messages to STDERR. Displays more about what b10-msgq is doing.

SEE ALSO

bind10(8), BIND 10 Guide.

AUTHORS

The b10-msgq daemon and Control Channel specification were initially designed by Michael Graff of ISC.

HISTORY

The python version was first coded in December 2009. The C version with now deprecated wire format was coded in September 2009.

COPYRIGHT
Copyright © 2010 Internet Systems Consortium, Inc. ("ISC")